/* 
 *  © 2024 Appstock 
 *  */

package com.appstock.demo.java;

import android.app.Application;
import android.util.Log;
import com.applovin.sdk.AppLovinMediationProvider;
import com.applovin.sdk.AppLovinSdk;
import com.applovin.sdk.AppLovinSdkInitializationConfiguration;
import com.google.android.gms.ads.MobileAds;
import com.appstock.demo.java.utils.Settings;
import com.appstock.sdk.api.Appstock;


public class TheApplication extends Application {

    private static final String TAG = "PrebidCustomApplication";

    @Override
    public void onCreate() {
        super.onCreate();

        Settings.init(this);
        initAppstockSdk();
        initAdMob();
        initApplovinMax();
    }

    public void initAppstockSdk() {
        // WL_CHANGE
        Appstock.initializeSdk(this, "appstock-demo");
    }

    public void initAdMob() {
        MobileAds.initialize(this);
    }

    public void initApplovinMax() {
        AppLovinSdkInitializationConfiguration config = AppLovinSdkInitializationConfiguration
                .builder(
                        "1tLUnP4cVQqpHuHH2yMtfdESvvUhTB05NdbCoDTceDDNVnhd_T8kwIzXDN9iwbdULTboByF-TtNaiTmsoVbxZw",
                        this
                )
                .setMediationProvider(AppLovinMediationProvider.MAX)
                .build();

        AppLovinSdk.getInstance(this).initialize(config, (it) -> {
            Log.d("ApplovinInitialization", "Initialization result: " + it);
        });
    }

}
