/* 
 *  © 2024 Appstock 
 *  */

package com.appstock.demo.kotlin.testcases

import com.appstock.demo.kotlin.activities.ads.admob.*
import com.appstock.demo.kotlin.activities.ads.applovin.*
import com.appstock.demo.kotlin.activities.ads.inapp.*

object TestCaseRepository {

    lateinit var lastTestCase: TestCase

    fun getList() = arrayListOf(
        TestCase(
            "Banner 300x250 (Appstock)",
            AdFormat.DISPLAY_BANNER,
            IntegrationKind.IN_APP,
            AppstockBannerActivity::class.java,
        ),
        TestCase(
            "Video Banner 300x250 (Appstock)",
            AdFormat.VIDEO_BANNER,
            IntegrationKind.IN_APP,
            AppstockVideoBannerActivity::class.java,
        ),
        TestCase(
            "Display Interstitial (Appstock)",
            AdFormat.DISPLAY_INTERSTITIAL,
            IntegrationKind.IN_APP,
            AppstockInterstitialActivity::class.java
        ),
        TestCase(
            "Video Interstitial (Appstock)",
            AdFormat.VIDEO_INTERSTITIAL,
            IntegrationKind.IN_APP,
            AppstockVideoInterstitialActivity::class.java
        ),
        TestCase(
            "Native (Appstock)",
            AdFormat.NATIVE,
            IntegrationKind.IN_APP,
            AppstockNativeActivity::class.java
        ),
        /* AdMob cases */
        TestCase(
            "Banner 300x250 (AdMob)",
            AdFormat.DISPLAY_BANNER,
            IntegrationKind.ADMOB,
            AdMobBannerActivity::class.java,
        ),
        TestCase(
            "Video Banner 300x250 (AdMob)",
            AdFormat.VIDEO_BANNER,
            IntegrationKind.ADMOB,
            AdMobVideoBannerActivity::class.java,
        ),
        TestCase(
            "Display Interstitial (AdMob)",
            AdFormat.DISPLAY_INTERSTITIAL,
            IntegrationKind.ADMOB,
            AdMobInterstitialActivity::class.java
        ),
        TestCase(
            "Video Interstitial (AdMob)",
            AdFormat.VIDEO_INTERSTITIAL,
            IntegrationKind.ADMOB,
            AdMobVideoInterstitialActivity::class.java
        ),
        TestCase(
            "Native (AdMob)",
            AdFormat.NATIVE,
            IntegrationKind.ADMOB,
            AdMobNativeActivity::class.java
        ),
        /* AppLovin cases */
        TestCase(
            "Banner 300x250 (AppLovin)",
            AdFormat.DISPLAY_BANNER,
            IntegrationKind.APPLOVIN,
            AppLovinBannerActivity::class.java,
        ),
        TestCase(
            "Video Banner 300x250 (AppLovin)",
            AdFormat.VIDEO_BANNER,
            IntegrationKind.APPLOVIN,
            AppLovinVideoBannerActivity::class.java,
        ),
        TestCase(
            "Display Interstitial (AppLovin)",
            AdFormat.DISPLAY_INTERSTITIAL,
            IntegrationKind.APPLOVIN,
            AppLovinInterstitialActivity::class.java
        ),
        TestCase(
            "Video Interstitial (AppLovin)",
            AdFormat.VIDEO_INTERSTITIAL,
            IntegrationKind.APPLOVIN,
            AppLovinVideoInterstitialActivity::class.java
        ),
        TestCase(
            "Native (AppLovin)",
            AdFormat.NATIVE,
            IntegrationKind.APPLOVIN,
            AppLovinNativeActivity::class.java
        ),
    )

}